| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Properties | Private Attributes | List of all members
IG.Lib.CounterVar Class Reference
Inheritance diagram for IG.Lib.CounterVar:
[legend]
Collaboration diagram for IG.Lib.CounterVar:
[legend]

## Properties
long | Value`[get, set]`
| Gets or sets More...
override string | TypeName`[get]`
override string[] | TypeNames`[get]`
Properties inherited from IG.Lib.VarTypeBase
virtual string | TypeName`[get]`
virtual string[] | TypeNames`[get]`
Properties inherited from IG.Lib.ITypeName
string | TypeName`[get]`
| Gets the standard name of the type. More...
string[] | TypeNames`[get]`

## Private Attributes
long | _Value = 0
const string | _TypeName = "counter"
string[] | _TypeNames = {_TypeName, "cont"}

## Additional Inherited Members
Public Member Functions inherited from IG.Lib.VarTypeBase
virtual object | FromXmlElement (XmlElement source, ref object initial)
| Creates a new object and initializes it from an XML element. More...
virtual XmlElement | ToXmlElement (object source, XmlDocument doc, ref XmlElement initial)
| Creates and returns XML representation of an object. More...
string | ConvertToString (object source, string format)
object | ParseFromString (string source, string format, int position, out int next)

## Member Data Documentation

long IG.Lib.CounterVar._Value = 0
| private

const string IG.Lib.CounterVar._TypeName = "counter"
| private

string [] IG.Lib.CounterVar._TypeNames = {_TypeName, "cont"}
| private

## Property Documentation

long IG.Lib.CounterVar.Value
| get set

Gets or sets

override string IG.Lib.CounterVar.TypeName
| get

override string [] IG.Lib.CounterVar.TypeNames
| get

The documentation for this class was generated from the following file:

- igbase/0unsorted/Vartypes.cs